Subject: Re: randconfig build error with next-20141113, in fs/pstore/inode.c

From: Sebastian Schmidt <[email-masked]>
Date: Thu, 13 Nov 2014 21:09:34 -0800

Hi all,

On Thu, Nov 13, 2014 at 11:21:18AM -0800, Kees Cook wrote:
> > This looks to come from your "Honor dmesg_restrict sysctl on dmesg dumps" patch

Oops, you are right.

> > The randconfig doesn't have CONFIG_PRINTK.  I guess we need to provide a stub
> > in <linux/syslog.h> to cover this.
> 
> Without CONFIG_PRINTK, check_syslog_permissions should probably fail.

Kees, I disagree. Without CONFIG_PRINTK, there isn't even a
dmesg_restrict sysctl, so there is no way to turn that on (AFAICS) and
we should retain the default behaviour.

I'll send a patch shortly.

Sebastian